%bcond_with audacious
%bcond_without curl
%bcond_without ibm
%bcond_without imlib
%bcond_without lua_cairo
%bcond_without lua_imlib
%bcond_with moc
%bcond_without mpd
%bcond_without ncurses
%bcond_with nvidia
%bcond_without portmon
%bcond_without rss
%bcond_without weather
%bcond_without weather_xoap
%bcond_with wlan
%bcond_without xdbe
%bcond_without xinerama

Name:           conky
Version:        1.19.2
Release:    1%{?dist}
Summary:        A system monitor for X

License:        GPLv3+
URL:            https://github.com/brndnmtthws/conky
Source0:        https://github.com/brndnmtthws/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libXft-devel
BuildRequires:  libXt-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libXext-devel
BuildRequires:  lua-devel
%{?with_audacious:BuildRequires: audacious-devel < 3.5 dbus-glib-devel}
%{?with_curl:BuildRequires: curl-devel}
%{?with_imlib:BuildRequires: imlib2-devel}
%{?with_lua_cairo:BuildRequires: cairo-devel tolua++-devel}
%{?with_lua_imlib:BuildRequires: imlib2-devel tolua++-devel}
%{?with_ncurses:BuildRequires: ncurses-devel}
%{?with_nvidia:BuildRequires: libXNVCtrl-devel}
%{?with_rss:BuildRequires: curl-devel libxml2-devel}
%{?with_weather:BuildRequires: curl-devel}
%{?with_weather_xoap:BuildRequires: libxml2-devel}
%{?with_wlan:BuildRequires: wireless-tools-devel}
%{?with_xinerama:BuildRequires: libXinerama-devel}
BuildRequires:  pandoc
BuildRequires:  python3-pyyaml python3-jinja2
BuildRequires:  cmake git
BuildRequires:  desktop-file-utils

%description
A system monitor for X originally based on the torsmo code. but more kickass.
It just keeps on given'er. Yeah.

%prep
%setup -q

chmod a-x extras/convert.lua

for i in AUTHORS; do
    iconv -f iso8859-1 -t utf8 -o ${i}{_,} && touch -r ${i}{,_} && mv -f ${i}{_,}
done

%build
%cmake \
                            -DBUILD_DOCS=ON \
                            -DBUILD_BUILTIN_CONFIG=OFF \
                            -DBUILD_SHARED_LIBS:BOOL=OFF \
    %{?with_audacious:      -DBUILD_AUDACIOUS=ON} \
    %{?with_curl:           -DBUILD_CURL=ON} \
    %{!?with_ibm:           -DBUILD_IBM=OFF} \
    %{?with_imlib:          -DBUILD_IMLIB2=ON} \
    %{?with_lua_cairo:      -DBUILD_LUA_CAIRO=ON} \
    %{?with_lua_imlib:      -DBUILD_LUA_IMLIB2=ON} \
    %{!?with_moc:           -DBUILD_MOC=OFF} \
    %{!?with_mpd:           -DBUILD_MPD=OFF} \
    %{!?with_ncurses:       -DBUILD_NCURSES=OFF} \
    %{?with_nvidia:         -DBUILD_NVIDIA=ON} \
    %{!?with_portmon:       -DBUILD_PORT_MONITORS=OFF} \
    %{?with_rss:            -DBUILD_RSS=ON} \
    %{?with_weather:        -DBUILD_WEATHER_METAR=ON} \
    %{?with_weather_xoap:   -DBUILD_WEATHER_XOAP=ON} \
    %{?with_wlan:           -DBUILD_WLAN=ON} \
    %{?with_xdbe:           -DBUILD_XDBE=ON} \
    %{?!with_xinerama:      -DBUILD_XINERAMA=OFF} \
    ;

%cmake_build


%install
%cmake_install
mkdir -p %{buildroot}%{_sysconfdir}/conky
install -m644 -p data/conky.conf %{buildroot}%{_sysconfdir}/conky
rm -rf %{buildroot}%{_docdir}/conky-*
rm -f %{buildroot}%{_libdir}/libtcp-portmon.a
rm -f %{buildroot}/usr/lib/libconky_core.a


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/conky.desktop


%files
%doc AUTHORS COPYING README.md extras/*
%dir %{_sysconfdir}/conky
%config %{_sysconfdir}/conky/conky.conf
%{_bindir}/conky
%if %{with lua_cairo} || %{with lua_imlib}
%{_libdir}/conky
%endif
%{_datadir}/applications/conky.desktop
%{_datadir}/icons/hicolor/*/apps/conky*
%{_mandir}/man1/conky.1*


%changelog
* Wed Aug 14 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19.2-1
- initial build
